apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
commonAnnotations:
  source-repository: https://edugit.org/Teckids/team-pr/teckids.org
namespace: teckids-website
patches:
- patch: |-
    - op: replace
      path: /spec/rules/0/host
      value: __REVIEW_NAME__.review.teckids.org
    - op: replace
      path: /spec/tls/0/hosts/0
      value: __REVIEW_NAME__.review.teckids.org
    - op: replace
      path: /spec/tls/0/secretName
      value: __REVIEW_NAME__-website-tls
  target:
    kind: Ingress
    name: teckids-website-caddy
resources:
- ../../base
labels:
- includeSelectors: true
  pairs:
    app: teckids-website
    environment: __REVIEW_NAME__
